NAME
Tcl_Merge - generate a Tcl list from a collection of strings

SYNOPSIS
#include <tcl.h>

char *
Tcl_Merge(argc, argv)

ARGUMENTS
Number of strings. Array of strings to combine into list. Must have argc entries.

DESCRIPTION

Tcl_Merge is a utility procedure used by several of the Tcl commands. Given a collection of strings, it generates a result string that has proper list structure, such that the index Tcl command may be used to extract out the original strings. In order to do this, Tcl_Merge may have to add braces and/or backslashes. The result string is dynamically allocated using malloc(); the caller must eventually release the space using free().

KEYWORDS
list, strings